curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>",
"expenseCategoryId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
payload = {
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>",
"expenseCategoryId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billableAmount: 123,
nonBillableAmount: 123,
notes: '<string>',
expenseCategoryId: '<string>'
})
};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'billableAmount' => 123,
'nonBillableAmount' => 123,
'notes' => '<string>',
'expenseCategoryId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
payload := strings.NewReader("{\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\",\n \"expenseCategoryId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\",\n \"expenseCategoryId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\",\n \"expenseCategoryId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "c8f42e17-a593-4d0b-b6e1-d2a70f8c39e5",
"billableAmount": 3000,
"nonBillableAmount": 500,
"createdAt": "2026-01-20T16:08:44.561Z",
"notes": "Updated monthly expense allocation.",
"project": {
"id": "e1b73d24-9f06-4a8c-85e2-c0d4f7a18b93",
"name": "Data Analytics Platform",
"client": {
"id": "7f2a8c91-e304-4b5d-a6e1-d9c0f3b72e48",
"name": "Initech"
}
},
"expenseCategory": {
"id": "b4e91c27-3f08-4d6a-a5e2-c7d0f8b13a96",
"name": "Travel Expenses"
}
}Update a project monthly budget expense
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>",
"expenseCategoryId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
payload = {
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>",
"expenseCategoryId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billableAmount: 123,
nonBillableAmount: 123,
notes: '<string>',
expenseCategoryId: '<string>'
})
};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'billableAmount' => 123,
'nonBillableAmount' => 123,
'notes' => '<string>',
'expenseCategoryId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
payload := strings.NewReader("{\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\",\n \"expenseCategoryId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\",\n \"expenseCategoryId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\",\n \"expenseCategoryId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "c8f42e17-a593-4d0b-b6e1-d2a70f8c39e5",
"billableAmount": 3000,
"nonBillableAmount": 500,
"createdAt": "2026-01-20T16:08:44.561Z",
"notes": "Updated monthly expense allocation.",
"project": {
"id": "e1b73d24-9f06-4a8c-85e2-c0d4f7a18b93",
"name": "Data Analytics Platform",
"client": {
"id": "7f2a8c91-e304-4b5d-a6e1-d9c0f3b72e48",
"name": "Initech"
}
},
"expenseCategory": {
"id": "b4e91c27-3f08-4d6a-a5e2-c7d0f8b13a96",
"name": "Travel Expenses"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project monthly budget expense uuid.
Body
The total billable amount for the expense category.
The total non-billable amount for the expense category.
Notes about this monthly budget expense. Maximum 5000 characters.
The ID (uuid) of the expense category for this monthly budget expense.
Response
200
The unique identifier for the object.
The total billable amount for the expense category. null when the project is non-billable.
The total non-billable amount for the expense category.
The timestamp when the object was created.
Notes about this monthly budget expense.
The project this monthly budget expense belongs to.
Show child attributes
Show child attributes
The expense category for this monthly budget expense.
Show child attributes
Show child attributes